Get a counterparty
GET
/
counterparties
/
{id}
Get a counterparty
curl --request GET \
--url https://api.thinkout.io/v1/counterparties/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thinkout.io/v1/counterparties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.thinkout.io/v1/counterparties/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
import requests
url = "https://api.thinkout.io/v1/counterparties/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "counterparty",
"id": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d",
"name": "Orange",
"country_code": "RO",
"color": "#e4571b",
"symbol": "OR",
"created_at": "2024-02-14T08:00:00Z",
"updated_at": "2024-02-14T08:00:00Z"
}{
"error": {
"type": "authentication",
"code": "unauthorized",
"message": "Missing, malformed, unknown or revoked API key",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "authentication",
"code": "forbidden",
"message": "The API is not included in this company's ThinkOut plan. Contact support@thinkout.io to enable it.",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "not_found",
"code": "resource_not_found",
"message": "Transaction not found",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "rate_limit",
"code": "rate_limited",
"message": "Too many requests",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}Authorizations
A workspace API key created in ThinkOut settings. One key reads one workspace.
Path Parameters
Response
The counterparty.
Allowed value:
"counterparty"Example:
"Orange"
ISO 3166-1 alpha-2 country code.
Pattern:
^[A-Z]{2}$Example:
"RO"
Pattern:
^#[0-9a-f]{6}$Short text shown in the counterparty avatar in ThinkOut.
⌘I
Get a counterparty
curl --request GET \
--url https://api.thinkout.io/v1/counterparties/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thinkout.io/v1/counterparties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.thinkout.io/v1/counterparties/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
import requests
url = "https://api.thinkout.io/v1/counterparties/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "counterparty",
"id": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c6d",
"name": "Orange",
"country_code": "RO",
"color": "#e4571b",
"symbol": "OR",
"created_at": "2024-02-14T08:00:00Z",
"updated_at": "2024-02-14T08:00:00Z"
}{
"error": {
"type": "authentication",
"code": "unauthorized",
"message": "Missing, malformed, unknown or revoked API key",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "authentication",
"code": "forbidden",
"message": "The API is not included in this company's ThinkOut plan. Contact support@thinkout.io to enable it.",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "not_found",
"code": "resource_not_found",
"message": "Transaction not found",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}{
"error": {
"type": "rate_limit",
"code": "rate_limited",
"message": "Too many requests",
"param": null,
"request_id": "0HNF8K3QJL2VM:00000001"
}
}